> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loqate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Capture Retrieve

> Get formatted address details using the ID from Capture Find. Returns address lines, postal codes, and geographic information.

**This method will consume credit.**

<Note>We don't support API connections using HTTP - all calls should use HTTPS.</Note>


## OpenAPI

````yaml capture_interactive_retrieve get /Capture/Interactive/Retrieve/v1.30/json6.ws
openapi: 3.0.0
info:
  title: Capture_Interactive_Retrieve
  description: Returns the full address details based on the Id.
  version: '1.3'
servers:
  - url: https://api.addressy.com
security:
  - ApiKeyQuery: []
paths:
  /Capture/Interactive/Retrieve/v1.30/json6.ws:
    get:
      tags:
        - Capture_Interactive_Retrieve
      summary: Capture_Interactive_Retrieve
      description: Returns the full address details based on the Id.
      operationId: Capture_Interactive_Retrieve
      parameters:
        - name: Key
          in: query
          required: true
          description: >-
            The key to use to authenticate with the service. For example:
            "AA11-AA11-AA11-AA11".
          schema:
            type: string
          example: AA11-AA11-AA11-AA11
        - name: Id
          in: query
          required: true
          description: >-
            The unique Id generated from a Find method, which you want to
            retrieve the details for. For example: "GB|RM|B|55605138|ENG".
          schema:
            type: string
          example: GB|RM|B|55605138|ENG
        - name: Type
          in: query
          description: >-
            This setting is only applicable if you have OS AddressBase Premium
            dataset enabled. Allows to fetch a record based on data supplier
            specific record id. For use, check out [search
            type](/api-reference/address-capture/search-type) for more details.
          schema:
            type: string
          example: uprn
        - name: Field1Format
          in: query
          description: >-
            The FieldxFormat fields can be used to return extra data fields into
            the corresponding Fieldx response. This needs to be supplied in the
            format of {FieldName} (for example: "{Latitude}"). You can include
            multiple data fields within each Fieldx field, with commas to
            separate them - for example, you could call
            "&Field1Format={Latitude}, {Longitude}" to include both lat/long
            coordinates in a single field. You can call up to 50 Fieldx fields -
            if you need more than the default 20, include the &Fields parameter
            to set how many you need. For example: &Fields=35. Which fields can
            be called is determined by the available dataset(s) in the country
            being searched - speak to your account manager or contact Loqate
            support for more information.
          schema:
            type: string
          example: ''
        - name: Field2Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field3Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field4Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field5Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field6Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field7Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field8Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field9Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field10Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field11Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field12Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field13Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field14Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field15Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field16Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field17Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field18Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field19Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
        - name: Field20Format
          in: query
          description: ''
          schema:
            type: string
          example: ''
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response'
              examples:
                Success:
                  summary: Success
                  value:
                    Items:
                      - Id: ''
                        DomesticId: ''
                        Language: ''
                        LanguageAlternatives: ''
                        Department: ''
                        Company: ''
                        SubBuilding: ''
                        BuildingNumber: ''
                        BuildingName: ''
                        SecondaryStreet: ''
                        Street: ''
                        Block: ''
                        Neighbourhood: ''
                        District: ''
                        City: ''
                        Line1: ''
                        Line2: ''
                        Line3: ''
                        Line4: ''
                        Line5: ''
                        AdminAreaName: ''
                        AdminAreaCode: ''
                        Province: ''
                        ProvinceName: ''
                        ProvinceCode: ''
                        PostalCode: ''
                        CountryName: ''
                        CountryIso2: ''
                        CountryIso3: ''
                        CountryIsoNumber: ''
                        SortingNumber1: ''
                        SortingNumber2: ''
                        Barcode: ''
                        POBoxNumber: ''
                        Label: ''
                        Type: ''
                        DataLevel: ''
                        Field1: ''
                        Field2: ''
                        Field3: ''
                        Field4: ''
                        Field5: ''
                        Field6: ''
                        Field7: ''
                        Field8: ''
                        Field9: ''
                        Field10: ''
                        Field11: ''
                        Field12: ''
                        Field13: ''
                        Field14: ''
                        Field15: ''
                        Field16: ''
                        Field17: ''
                        Field18: ''
                        Field19: ''
                        Field20: ''
        '400':
          description: BadRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
              examples:
                Id Invalid:
                  summary: Id Invalid
                  value:
                    Items:
                      - Error: '1001'
                        Description: Id Invalid
                        Cause: The Id parameter supplied was invalid.
                        Resolution: >-
                          You should only pass an ID where the type was returned
                          as Address from the Find service. Passing IDs of type
                          Postcode will not result in a retrieve - instead,
                          these should be passed back into the Find service as
                          Container until an Address type is returned.
                License Required:
                  summary: License Required
                  value:
                    Items:
                      - Error: '1002'
                        Description: License Required
                        Cause: >-
                          This record contains data that requires an additional
                          license and is not available on your account.
                        Resolution: >-
                          Please contact support to purchase a license for this
                          data.
                Validation Error:
                  summary: Validation Error
                  value:
                    Items:
                      - Error: '1003'
                        Description: Validation Error
                        Cause: >-
                          When validating the input, something does not meet the
                          query parameter constraints.
                        Resolution: Please see the documentation for correct use.
                Request not allowed from this IP:
                  summary: Request not allowed from this IP
                  value:
                    Items:
                      - Error: '4'
                        Description: Request not allowed from this IP
                        Cause: The request was disallowed from the IP address.
                        Resolution: >-
                          Check the security settings on the key first. If they
                          look fine, please contact support as it may be from an
                          IP address on our blacklist.
                Request not allowed from this URL:
                  summary: Request not allowed from this URL
                  value:
                    Items:
                      - Error: '5'
                        Description: Request not allowed from this URL
                        Cause: The request was disallowed from the URL.
                        Resolution: >-
                          Check the security settings on the key first. If they
                          look fine, please contact support as it may be from a
                          URL on our blacklist.
                Web service not available on this key:
                  summary: Web service not available on this key
                  value:
                    Items:
                      - Error: '6'
                        Description: Web service not available on this key
                        Cause: The requested web service is disallowed on this key.
                        Resolution: >-
                          Check the security settings on the key first. You can
                          limit a key to certain web services.
                Missing or invalid parameters:
                  summary: Missing or invalid parameters
                  value:
                    Items:
                      - Error: '18'
                        Description: Missing or invalid parameters
                        Cause: >-
                          A required parameter was not supplied of the value of
                          a parameter cannnot be converted into the right type.
                        Resolution: >-
                          Check the parameters passed and their values against
                          the specification for this service.
                Invalid JSON object:
                  summary: Invalid JSON object
                  value:
                    Items:
                      - Error: '19'
                        Description: Invalid JSON object
                        Cause: The JSON object sent in your request is invalid.
                        Resolution: >-
                          Please ensure your JSON object is syntactically
                          correct and try again.
                Endpoint not available:
                  summary: Endpoint not available
                  value:
                    Items:
                      - Error: '20'
                        Description: Endpoint not available
                        Cause: >-
                          The web service you are calling is not available on
                          this endpoint
                        Resolution: >-
                          Refer to our documentation pages to ensure you are
                          calling a valid endpoint for the web service you are
                          requesting.
                Sandbox Mode is not available on this endpoint:
                  summary: Sandbox Mode is not available on this endpoint
                  value:
                    Items:
                      - Error: '21'
                        Description: Sandbox Mode is not available on this endpoint
                        Cause: >-
                          The License key used has Sandbox Mode enabled, but the
                          testing functionality is not available on this
                          endpoint.
                        Resolution: Disable the Sandbox Mode on the License key.
                HTTPS requests only:
                  summary: HTTPS requests only
                  value:
                    Items:
                      - Error: '22'
                        Description: HTTPS requests only
                        Cause: >-
                          As of 3rd September 2018 all new accounts must use
                          HTTPS.
                        Resolution: >-
                          Ensure you consume all of our APIs over HTTPS and not
                          HTTP.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
              examples:
                Unknown key:
                  summary: Unknown key
                  value:
                    Items:
                      - Error: '2'
                        Description: Unknown key
                        Cause: >-
                          The key you are using to access the service was not
                          found.
                        Resolution: >-
                          Please check that the key is correct. It should be in
                          the form AA11-AA11-AA11-AA11.
                Agreement Not Signed:
                  summary: Agreement Not Signed
                  value:
                    Items:
                      - Error: '23'
                        Description: Agreement Not Signed
                        Cause: >-
                          There are agreements associated with service which are
                          not signed.
                        Resolution: Please go to your account and check your agreements.
                Not enough credit for request:
                  summary: Not enough credit for request
                  value:
                    Items:
                      - Error: '24'
                        Description: Not enough credit for request
                        Cause: >-
                          There is not enough credit on the account to process
                          the request.
                        Resolution: Please topup your account with credit.
                Unexpected error, please contact the help desk for more information:
                  summary: >-
                    Unexpected error, please contact the help desk for more
                    information
                  value:
                    Items:
                      - Error: '25'
                        Description: >-
                          Unexpected error, please contact the help desk for
                          more information
                        Cause: ''
                        Resolution: ''
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
              examples:
                Account out of credit:
                  summary: Account out of credit
                  value:
                    Items:
                      - Error: '3'
                        Description: Account out of credit
                        Cause: >-
                          Your account is either out of credit or has
                          insufficient credit to service this request.
                        Resolution: >-
                          Please check your account balance and top it up if
                          necessary.
                Web service not available on your plan:
                  summary: Web service not available on your plan
                  value:
                    Items:
                      - Error: '7'
                        Description: Web service not available on your plan
                        Cause: >-
                          The requested web service is not currently available
                          on your payment plan.
                        Resolution: >-
                          Some services are only available in specific regions
                          due to licensing restrictions. Please contact us for
                          more information.
                Key daily limit exceeded:
                  summary: Key daily limit exceeded
                  value:
                    Items:
                      - Error: '8'
                        Description: Key daily limit exceeded
                        Cause: The daily limit on the key has been exceeded.
                        Resolution: >-
                          Alter the daily limit on the key. Check the usage
                          details first to see if usage is normal.
                Your account has been suspended:
                  summary: Your account has been suspended
                  value:
                    Items:
                      - Error: '9'
                        Description: Your account has been suspended
                        Cause: >-
                          Your account has been suspended. This can be for a
                          number of reasons including non-payment of an invoice.
                        Resolution: Please contact us in order to resolve this issue.
                Surge protector triggered:
                  summary: Surge protector triggered
                  value:
                    Items:
                      - Error: '10'
                        Description: Surge protector triggered
                        Cause: >-
                          An unusually large number of requests have been
                          processed for your account so the surge protector has
                          been enabled.
                        Resolution: >-
                          You can disable the surge protector at any time but
                          this is only recommended if you are running through a
                          batch of requests.
                No valid license available:
                  summary: No valid license available
                  value:
                    Items:
                      - Error: '11'
                        Description: No valid license available
                        Cause: >-
                          The request requires a valid license but none were
                          found.
                        Resolution: >-
                          Please check your purchase history. You may be using a
                          license that is no longer valid or of an incorrect
                          type.
                Management key required:
                  summary: Management key required
                  value:
                    Items:
                      - Error: '12'
                        Description: Management key required
                        Cause: >-
                          To use this web service you require a management key.
                          Management can be enabled on any key, but we advise
                          you to use management keys with care.
                        Resolution: >-
                          Sign in to the website and create a new management key
                          or change an existing key.
                Demo limit exceeded:
                  summary: Demo limit exceeded
                  value:
                    Items:
                      - Error: '13'
                        Description: Demo limit exceeded
                        Cause: >-
                          The daily demonstration limit for this service or
                          account has been exceeded.
                        Resolution: >-
                          The limit will be reset at midnight tonight. If you
                          would like the limit increased, please contact us.
                Free service limit exceeded:
                  summary: Free service limit exceeded
                  value:
                    Items:
                      - Error: '14'
                        Description: Free service limit exceeded
                        Cause: You have used too many free web services.
                        Resolution: >-
                          Our web services are designed to operate in stages.
                          The first is usually a Find service followed by a
                          Retrieve. If you use too many Finds without the
                          corresponding number of Retrieves you will receive
                          this error. For more information, please contact us.
                Wrong type of key:
                  summary: Wrong type of key
                  value:
                    Items:
                      - Error: '15'
                        Description: Wrong type of key
                        Cause: >-
                          The type of key you're using isn't supported by this
                          web service.
                        Resolution: >-
                          This usually happens if you're using a user or server
                          license with a web service that only supports
                          transactional keys. Please use another key and try
                          again.
                Key expired:
                  summary: Key expired
                  value:
                    Items:
                      - Error: '16'
                        Description: Key expired
                        Cause: The key you are trying to use has expired.
                        Resolution: >-
                          Please check that you are using the right key. A new
                          one may have been issued if you recently renewed your
                          key. Contact us if you have any questions.
                Individual User exceeded Lookup Limit:
                  summary: Individual User exceeded Lookup Limit
                  value:
                    Items:
                      - Error: '17'
                        Description: Individual User exceeded Lookup Limit
                        Cause: >-
                          An Individual User has exceeded their daily lookup
                          limit on the key and that user will be prevented from
                          using your service until tomorrow (GMT)
                        Resolution: >-
                          Check the usage details. If required, increase the
                          Lookup Limit per Individual User or add the specific
                          Individual User's IP to the Limiter Exclusions
        '500':
          description: InternalServerError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
              examples:
                Unknown error:
                  summary: Unknown error
                  value:
                    Items:
                      - Error: '-1'
                        Description: Unknown error
                        Cause: >-
                          The cause of the error is unknown but details have
                          been passed to our support staff who will investigate.
                        Resolution: >-
                          These problems are typically short lived and are often
                          resolved by trying again in a few minutes.
components:
  schemas:
    response:
      properties:
        Items:
          type: array
          items:
            properties:
              Id:
                type: string
                description: >-
                  The unique Id of the returned address as generated by Capture,
                  for use in a subsequent RETRIEVE call (note that this Id can
                  change over time).
              DomesticId:
                type: string
                description: >-
                  The unique reference number of the address as it appears in
                  its respective dataset (such as the UDPRN in the Royal Mail
                  PAF dataset). For example, if Id is "GB|RM|B|55605138|ENG"
                  then DomesticId will be "55605138".
              Language:
                type: string
                description: >-
                  A three-letter code denoting the language of the address. For
                  example, "ENG" to represent English.
              LanguageAlternatives:
                type: string
                description: >-
                  Alternative language versions available for the address,
                  presented in a comma-separated list. For example, if an
                  address was available in both English and German then
                  LanguageAlternatives would be "GER, ENG".
              Department:
                type: string
                description: >-
                  This is populated if a business address has a department as
                  well as organisation name registered at it. For example, in
                  the address "University of London Accommodation Office, Senate
                  House, Malet Street, LONDON, WC1E 7HU", the Department is
                  "Accommodation Office".
              Company:
                type: string
                description: The name of the company associated with the address.
              SubBuilding:
                type: string
                description: >-
                  The name of the sub-building, if the address comprises part of
                  a bigger building. For example, "Flat 4", "Unit 2", etc.
              BuildingNumber:
                type: string
                description: The house or building number in the address.
              BuildingName:
                type: string
                description: >-
                  The associated name of the building in the address, should one
                  exist.
              SecondaryStreet:
                type: string
                description: >-
                  The secondary thoroughfare name, should one exist. Usually a
                  small street off the primary.
              Street:
                type: string
                description: The main thoroughfare name.
              Block:
                type: string
                description: The block details for the address.
              Neighbourhood:
                type: string
                description: The neighbourhood the address is in.
              District:
                type: string
                description: District name.
              City:
                type: string
                description: 'The town/city name in the returned address. '
              Line1:
                type: string
                description: >-
                  The first line of the formatted address. The line 1-5
                  properties attempt to format an address into usable lines
                  (based on the addressing standards of the relevant country).
                  Depending on the length of the address the later lines may be
                  empty. For example, the address "Old Change House, 128 Queen
                  Victoria Street, London, EC4V 4BJ" would result in the
                  following: Line1: "Old Change House" Line2: "128 Queen
                  Victoria Street" Line3-5: blank
              Line2:
                type: string
                description: The second line of the formatted address.
              Line3:
                type: string
                description: The third line of the formatted address.
              Line4:
                type: string
                description: The fourth line of the formatted address.
              Line5:
                type: string
                description: The fifth line of the formatted address.
              AdminAreaName:
                type: string
                description: >-
                  The name of the administrative area for the address (such as a
                  local administrative county council). For example, if an
                  address is in New York City the AdminAreaName will be "New
                  York"
              AdminAreaCode:
                type: string
                description: >-
                  The associated code of the administrative area for the
                  address. For example, if the AdminAreaName is "New York", the
                  AdminAreaCode will be "061".
              Province:
                type: string
                description: >-
                  This field assumes the value of either ProvinceName or
                  ProvinceCode, depending on the standard address format for the
                  country in question. For example, in the UK this will be
                  ProvinceName, while in Italy it will be ProvinceCode. Note: if
                  the expected value isn't available but the other value is
                  available, Province may pull through whichever value is
                  present.
              ProvinceName:
                type: string
                description: >-
                  The name of the largest administrative division of the country
                  in the address (typically state or county, but dependent on
                  each country's addressing standards). For example, in
                  Australia this would be the federal state of the address. 
              ProvinceCode:
                type: string
                description: >-
                  As per ProvinceName, but the code of the administrative
                  division.
              PostalCode:
                type: string
                description: >-
                  The full postal code of the address (i.e. Postcode, ZIP Code,
                  etc.).
              CountryName:
                type: string
                description: >-
                  The full name of the country the address is in, as per the ISO
                  3166-1 standard.
              CountryIso2:
                type: string
                description: >-
                  The two character ISO code for the country in the address. For
                  example, the CountryIso2 for the United Kingdom is "GB".
              CountryIso3:
                type: string
                description: >-
                  The three character ISO code for the country in the address.
                  For example, the CountryIso3 for the United Kingdom is "GBR".
              CountryIsoNumber:
                type: string
                description: >-
                  The ISO numeric code for the country in the address. For
                  example, the CountryIsoNumber for the United Kingdom is "826".
              SortingNumber1:
                type: string
                description: >-
                  One of two numbers associated with bulk mailing discount
                  schemes.
              SortingNumber2:
                type: string
                description: >-
                  One of two numbers associated with bulk mailing discount
                  schemes.
              Barcode:
                type: string
                description: >-
                  The barcode for the address, for use with bulk mailing
                  discount schemes. For example, with the address "Old Change
                  House, 128 Queen Victoria Street, London, EC4V 4BJ", the
                  Barcode is "(EC4V4BJ2ZE)". This needs to be used with an
                  appropriate barcode font.
              POBoxNumber:
                type: string
                description: The relevant number, if an address is a PO Box.
              Label:
                type: string
                description: >-
                  The full address formatted as a label (where \n denotes a line
                  break). For example: "G B G\nOld Change House\n128 Queen
                  Victoria Street\nLONDON\nEC4V 4BJ\nUNITED KINGDOM".
              Type:
                type: string
                description: >-
                  The type of address, if known. The possible values are:
                  Residential | Commercial | Unknown. Available in Australia,
                  Belgium, Canada, UK and United States.
              DataLevel:
                type: string
                description: >-
                  The data level, if known (this depends on the dataset the
                  address originates from). The possible values are: Unknown |
                  Premise | RangedPremise | Street | City. 
              Field1:
                type: string
                description: >-
                  If Field1Format was used in the request, the data for that
                  field's response will appear here (otherwise it will be
                  blank). The same applies for all FieldX responses. For
                  example, if Field1Format was set to "{{Latitude}}" in a
                  request, Field1 would return a latitude such as "44.751422".
              Field2:
                type: string
                description: ''
              Field3:
                type: string
                description: ''
              Field4:
                type: string
                description: ''
              Field5:
                type: string
                description: ''
              Field6:
                type: string
                description: ''
              Field7:
                type: string
                description: ''
              Field8:
                type: string
                description: ''
              Field9:
                type: string
                description: ''
              Field10:
                type: string
                description: ''
              Field11:
                type: string
                description: ''
              Field12:
                type: string
                description: ''
              Field13:
                type: string
                description: ''
              Field14:
                type: string
                description: ''
              Field15:
                type: string
                description: ''
              Field16:
                type: string
                description: ''
              Field17:
                type: string
                description: ''
              Field18:
                type: string
                description: ''
              Field19:
                type: string
                description: ''
              Field20:
                type: string
                description: ''
    error:
      properties:
        Items:
          type: array
          items:
            properties:
              Error:
                type: string
                description: The id of the error returned
              Description:
                type: string
                description: A description of the error
              Cause:
                type: string
                description: The cause of the error
              Resolution:
                type: string
                description: Actions to resolve the error
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      name: Key
      in: query

````